Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.wsdl
Class WsdlLexicon

    java.lang.Object
      org.modeshape.sequencer.wsdl.WsdlLexicon

    @Immutable
    public class WsdlLexicon

extends Object

A lexicon of names used within the XSD sequencer.

Nested Class Summary
`static class` | `WsdlLexicon.Namespace`

Field Summary
`static Name` | `BINDING`
`static Name` | `BINDING_NAME`
`static Name` | `BINDING_NAMESPACE`
`static Name` | `BINDING_OPERATION`
`static Name` | `BINDING_OPERATION_FAULT`
`static Name` | `BINDING_OPERATION_INPUT`
`static Name` | `BINDING_OPERATION_OUTPUT`
`static Name` | `BINDING_REFERENCE`
`static Name` | `BINDINGS`
`static Name` | `ELEMENT_NAME`
`static Name` | `ELEMENT_NAMESPACE`
`static Name` | `ELEMENT_REFERENCE`
`static Name` | `ENCODING_STYLE`
`static Name` | `FAULT`
`static Name` | `HTTP_ADDRESS`
`static Name` | `HTTP_BINDING`
`static Name` | `HTTP_OPERATION`
`static Name` | `HTTP_URL_ENCODED`
`static Name` | `HTTP_URL_REPLACEMENT`
`static Name` | `IMPORTED_XSD`
`static Name` | `INCLUDED_XSD`
`static Name` | `INPUT`
`static Name` | `INPUT_NAME`
`static Name` | `INPUT_REFERENCE`
`static Name` | `LOCATION`
`static Name` | `MESSAGE`
`static Name` | `MESSAGE_NAME`
`static Name` | `MESSAGE_NAMESPACE`
`static Name` | `MESSAGE_REFERENCE`
`static Name` | `MESSAGES`
`static Name` | `MIME_CONTENT`
`static Name` | `MIME_MULTIPART_RELATED`
`static Name` | `MIME_PART`
`static Name` | `MIME_TYPE`
`static Name` | `MIME_XML`
`static Name` | `NAMESPACE`
`static Name` | `NC_NAME`
`static Name` | `OPERATION`
`static Name` | `OPERATION_INPUT`
`static Name` | `OPERATION_OUTPUT`
`static Name` | `OUTPUT`
`static Name` | `OUTPUT_NAME`
`static Name` | `OUTPUT_REFERENCE`
`static Name` | `PARAMETER_ORDER`
`static Name` | `PART`
`static Name` | `PARTS`
`static Name` | `PORT`
`static Name` | `PORT_TYPE`
`static Name` | `PORT_TYPES`
`static Name` | `REDEFINED_XSD`
`static Name` | `SCHEMA`
`static Name` | `SERVICE`
`static Name` | `SERVICES`
`static Name` | `SOAP_ACTION`
`static Name` | `SOAP_ADDRESS`
`static Name` | `SOAP_BINDING`
`static Name` | `SOAP_BODY`
`static Name` | `SOAP_FAULT`
`static Name` | `SOAP_HEADER`
`static Name` | `SOAP_HEADER_FAULT`
`static Name` | `SOAP_LOCATION`
`static Name` | `SOAP_OPERATION`
`static Name` | `STYLE`
`static Name` | `TRANSPORT`
`static Name` | `TYPE_NAME`
`static Name` | `TYPE_NAMESPACE`
`static Name` | `TYPE_REFERENCE`
`static Name` | `USE`
`static Name` | `VERB`
`static Name` | `WSDL_DOCUMENT`

Constructor Summary
`WsdlLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_DOCUMENT

    public static final Name WSDL_DOCUMENT

### SCHEMA

    public static final Name SCHEMA

### IMPORTED_XSD

    public static final Name IMPORTED_XSD

### INCLUDED_XSD

    public static final Name INCLUDED_XSD

### REDEFINED_XSD

    public static final Name REDEFINED_XSD

### NC_NAME

    public static final Name NC_NAME

### NAMESPACE

    public static final Name NAMESPACE

### MESSAGES

    public static final Name MESSAGES

### MESSAGE

    public static final Name MESSAGE

### PART

    public static final Name PART

### ELEMENT_REFERENCE

    public static final Name ELEMENT_REFERENCE

### ELEMENT_NAME

    public static final Name ELEMENT_NAME

### ELEMENT_NAMESPACE

    public static final Name ELEMENT_NAMESPACE

### TYPE_REFERENCE

    public static final Name TYPE_REFERENCE

### TYPE_NAME

    public static final Name TYPE_NAME

### TYPE_NAMESPACE

    public static final Name TYPE_NAMESPACE

### OPERATION

    public static final Name OPERATION

### INPUT

    public static final Name INPUT

### OUTPUT

    public static final Name OUTPUT

### FAULT

    public static final Name FAULT

### MESSAGE_REFERENCE

    public static final Name MESSAGE_REFERENCE

### MESSAGE_NAME

    public static final Name MESSAGE_NAME

### MESSAGE_NAMESPACE

    public static final Name MESSAGE_NAMESPACE

### OPERATION_INPUT

    public static final Name OPERATION_INPUT

### OPERATION_OUTPUT

    public static final Name OPERATION_OUTPUT

### PARAMETER_ORDER

    public static final Name PARAMETER_ORDER

### PORT_TYPES

    public static final Name PORT_TYPES

### PORT_TYPE

    public static final Name PORT_TYPE

### BINDINGS

    public static final Name BINDINGS

### BINDING

    public static final Name BINDING

### BINDING_OPERATION

    public static final Name BINDING_OPERATION

### BINDING_OPERATION_INPUT

    public static final Name BINDING_OPERATION_INPUT

### BINDING_OPERATION_OUTPUT

    public static final Name BINDING_OPERATION_OUTPUT

### BINDING_OPERATION_FAULT

    public static final Name BINDING_OPERATION_FAULT

### INPUT_REFERENCE

    public static final Name INPUT_REFERENCE

### INPUT_NAME

    public static final Name INPUT_NAME

### OUTPUT_REFERENCE

    public static final Name OUTPUT_REFERENCE

### OUTPUT_NAME

    public static final Name OUTPUT_NAME

### SERVICES

    public static final Name SERVICES

### SERVICE

    public static final Name SERVICE

### PORT

    public static final Name PORT

### BINDING_REFERENCE

    public static final Name BINDING_REFERENCE

### BINDING_NAME

    public static final Name BINDING_NAME

### BINDING_NAMESPACE

    public static final Name BINDING_NAMESPACE

### SOAP_ADDRESS

    public static final Name SOAP_ADDRESS

### SOAP_LOCATION

    public static final Name SOAP_LOCATION

### SOAP_BINDING

    public static final Name SOAP_BINDING

### STYLE

    public static final Name STYLE

### TRANSPORT

    public static final Name TRANSPORT

### SOAP_OPERATION

    public static final Name SOAP_OPERATION

### SOAP_ACTION

    public static final Name SOAP_ACTION

### SOAP_BODY

    public static final Name SOAP_BODY

### ENCODING_STYLE

    public static final Name ENCODING_STYLE

### PARTS

    public static final Name PARTS

### USE

    public static final Name USE

### SOAP_FAULT

    public static final Name SOAP_FAULT

### SOAP_HEADER

    public static final Name SOAP_HEADER

### SOAP_HEADER_FAULT

    public static final Name SOAP_HEADER_FAULT

### MIME_MULTIPART_RELATED

    public static final Name MIME_MULTIPART_RELATED

### MIME_PART

    public static final Name MIME_PART

### MIME_TYPE

    public static final Name MIME_TYPE

### MIME_CONTENT

    public static final Name MIME_CONTENT

### MIME_XML

    public static final Name MIME_XML

### HTTP_URL_REPLACEMENT

    public static final Name HTTP_URL_REPLACEMENT

### HTTP_URL_ENCODED

    public static final Name HTTP_URL_ENCODED

### HTTP_ADDRESS

    public static final Name HTTP_ADDRESS

### HTTP_BINDING

    public static final Name HTTP_BINDING

### HTTP_OPERATION

    public static final Name HTTP_OPERATION

### LOCATION

    public static final Name LOCATION

### VERB

    public static final Name VERB

Constructor Detail

### WsdlLexicon

    public WsdlLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.